###
###
###

.seqnames <- c(paste("chr", c("I", "II", "III", "IV", "V", "VI", "VII", "VIII", "IX", "X", "XI", "XII", "XIII", "XIV", "XV", "XVI", "M"), sep=""), "2micron")

.circ_seqs <- c("chrM", "2micron")

.mseqnames <- NULL

.nmask_per_seq <- 0

.onLoad <- function(libname, pkgname)
{
    extdata_dir <- system.file("extdata", package=pkgname, lib.loc=libname)
    bsgenome <- BSgenome(
        organism="Saccharomyces cerevisiae",
        species="Yeast",
        provider="UCSC",
        provider_version="sacCer2",
        release_date="June 2008",
        release_name="SGD June 2008 sequence",
        source_url="http://hgdownload.cse.ucsc.edu/goldenPath/sacCer2/bigZips/",
        seqnames=.seqnames,
        circ_seqs=.circ_seqs,
        mseqnames=.mseqnames,
        seqs_pkgname=pkgname,
        seqs_dir=extdata_dir,
        nmask_per_seq=.nmask_per_seq,
        masks_pkgname=pkgname,
        masks_dir=extdata_dir
    )
    objname <- "Scerevisiae"
    ns <- asNamespace(pkgname)
    assign(objname, bsgenome, envir=ns)
    namespaceExport(ns, objname)
}

